org.apache.cassandra.io.sstable.metadata

## Class CompactionMetadata

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataComponent
  - - org.apache.cassandra.io.sstable.metadata.CompactionMetadata

All Implemented Interfaces:
  java.lang.Comparable<MetadataComponent>

    public class CompactionMetadata
    extends MetadataComponent

Compaction related SSTable metadata. Only loaded for compacting SSTables at the time of compaction.

### Nested Class Summary

Nested Classes
`static class` `CompactionMetadata.CompactionMetadataSerializer`

### Field Summary

Fields
`com.clearspring.analytics.stream.cardinality.ICardinality` `cardinalityEstimator`
`static IMetadataComponentSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`CompactionMetadata(com.clearspring.analytics.stream.cardinality.ICardinality cardinalityEstimator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`MetadataType` `getType()`
`int` `hashCode()`

### Methods inherited from class org.apache.cassandra.io.sstable.metadata.MetadataComponent

`compareTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final IMetadataComponentSerializer serializer

#### cardinalityEstimator

    public final com.clearspring.analytics.stream.cardinality.ICardinality cardinalityEstimator

### Constructor Detail

#### CompactionMetadata

    public CompactionMetadata(com.clearspring.analytics.stream.cardinality.ICardinality cardinalityEstimator)

### Method Detail

#### getType

    public MetadataType getType()

Specified by:
  `getType` in class `MetadataComponent`
Returns:
  Metadata component type

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`